#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma-welcome
Version: 5.27.10
Release:        %mkrel %rel
Summary:        Welcome to Plasma
License:        GPLv2+ and BSD
Group:          Graphical desktop/KDE
Url:            https://kde.org/plasma-desktop
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  cmake(KAccounts)
BuildRequires:  cmake(KUserFeedback)

%description
A friendly onboarding wizard for Plasma.

%files -f %{name}.lang
%license src/LICENSES/{BSD-3-Clause.txt,GPL-2.0-or-later.txt,FSFAP.txt}
%doc README.md
%{_kf5_sysconfdir}/xdg/autostart/org.kde.%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_qmldir}/org/kde/plasma/welcome/
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.*.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039966
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958070
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4.1-1.mga9
+ Revision: 1951996
- New version 5.27.4.1
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949108
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945818
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944827
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942342
- New version 5.27.0

* Wed Jan 25 2023 daviddavid <daviddavid> 5.26.90-1.mga9
+ Revision: 1935951
- initial package plasma-welcome (says hello plasma-welcome to the plasma stack)

